/* 全局样式重置 */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f8f9fa;
    font-family: Arial, sans-serif; /* 设置一个通用字体族，增强兼容性 */
    text-align: center;
    margin-bottom: 100px;
}

main {
    padding: 10px; 
}
.item {
    display: inline-block;
    margin: 10px;
    width: 160px;
    height: 66px;
    background-color: #f0f0f0; 
    border: 1px solid black; 
    position: relative;
    cursor: pointer;
    vertical-align: top;
    padding: 10px; 
    box-sizing: border-box; 
}

.item:hover {
    background-color: #d0d0d0; /* 鼠标悬停时背景色变深 */
}

.item span {
    visibility: visible; 
    opacity: 1; 
    position: static; 
    width: 100%;
    height: 100%;
    background-color: transparent; 
    text-align: center;
    padding: 0; 
    box-sizing: border-box;
    transition: opacity 0.5s ease;
}

footer {
    background-color: #e8e8e8;
    color: #5d5d5d;
    font-size: 14px;
    padding: 15px 20px 10px 20px;
    border-top: 1px solid #d0d0d0;
    text-align: center;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
}

hr {
    border: 1px dashed rgb(214, 214, 214);
    width: 100%;
    margin-bottom: 10px;
    margin-top: 10px;
}

.title1 {
    font-size: 18px;
    color: #000000;
    font-weight: bolder;
}

.title2 {
    font-size: 14px;
    color: #6d000070;
}
h1{
    padding: 20px;
}